-- data/conf/loading.lua

-------------------------------------------------------------------------------
-- Загрузка ресурсов
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- Загрузка всех текстур из каталога

-- параметры (iParam):
--   0 - текстуры для GUI
--   1 - текстуры для игры
function LoadTextures( strPath )
	local fs = cFileSystem()
	local fname = fs:GetFirst( filename(strPath) )
	while not fname:empty() do
		if ( not fs:IsFolder(fname) ) and ( fname:ext() ~= "tex" ) then
            cLoadTexture( fname:c_str() )
		end
		fname = fs:GetNext()
	end
end

-------------------------------------------------------------------------------
-- Загрузка фонтов из каталога

function LoadFonts( strPath )
	local fs = cFileSystem()
	local fname = fs:GetFirst( filename(strPath) )
	while not fname:empty() do
		if ( not fs:IsFolder(fname) ) and ( fname:ext() == "lua" ) then
            cLoadFont( fname:c_str() )
		end
		fname = fs:GetNext()
	end
end


-------------------------------------------------------------------------------
-- Загрузка всех звуков из каталога

function LoadSounds( strPath )
	local fs = cFileSystem()
	local fname = fs:GetFirst( filename(strPath) )
	while not fname:empty() do
		if (fname:ext() == "ogg") then 
			cLoadSound( fname:c_str(), true ) 
		end
		fname = fs:GetNext()
	end
end

-------------------------------------------------------------------------------
-- загрузка звуков

function LoadSoundsManual()
	-- музыка
	cLoadStream("{StaticPath}/sound/ext/music_menu.ogg", true)
	cLoadStream("{StaticPath}/sound/ext/music0.ogg", true)
	cLoadStream("{StaticPath}/sound/ext/music1.ogg", true)
	-- звуки для middle
	cLoadSound("{StaticPath}/sound/ext/click.ogg", true)
	cLoadSound("{StaticPath}/sound/ext/typing.ogg", true)
	cLoadSound("{StaticPath}/sound/ext/mouse_in.ogg", true)
end

-------------------------------------------------------------------------------
-- Main

-- текстуры
LoadTextures("{StaticPath}/texture/gui")
LoadTextures("{StaticPath}/texture")
-- фонты
LoadFonts("{StaticPath}/font")
-- звуки
LoadSounds("{StaticPath}/sound")
LoadSoundsManual()